import request from '@/utils/request'

// 查询数据调查-所有权利人列表
export function listSuyqr(query) {
  return request({
    url: '/home/homesteadsuyqr/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-所有权利人
export function exportSuyqr(query) {
  return request({
    url: '/houseSurvey/suyqr/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-所有权利人详细
export function getSuyqr(id) {
  return request({
    url: '/houseSurvey/suyqr/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-所有权利人
export function addSuyqr(data) {
  return request({
    url: '/home/homesteadsuyqr/add',
    method: 'post',
    data: data
  })
}

// 新增数据调查-所有权利人
export function suyqrConnectTask(data) {
  return request({
    url: '/houseSurvey/suyqr/connectTask',
    method: 'post',
    data: data
  })
}

// 修改数据调查-所有权利人
export function updateSuyqr(data) {
  return request({
    url: '/home/homesteadsuyqr/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查-所有权利人
export function delSuyqr(id) {
  return request({
    url: '/houseSurvey/suyqr/remove/' + id,
    method: 'get'
  })
}

// 确数据调查-所有权利人
export function confirmSuyqr(id) {
  return request({
    url: '/houseSurvey/suyqr/confirm/' + id,
    method: 'get'
  })
}

